Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn
Class DefaultResponseParser

    java.lang.Object
      org.apache.http.impl.io.AbstractMessageParser<HttpMessage>
          org.apache.http.impl.conn.DefaultResponseParser

All Implemented Interfaces:
  HttpMessageParser<HttpMessage>

Deprecated. (4.2) use `DefaultHttpResponseParser`

    @ThreadSafe
    public class DefaultResponseParser

extends AbstractMessageParser<HttpMessage>

Default HTTP response parser implementation.

The following parameters can be used to customize the behavior of this class:

- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MAX_LINE_LENGTH`
- `ConnConnectionPNames.MAX_STATUS_LINE_GARBAGE`

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.impl.io.AbstractMessageParser
`lineParser`

Constructor Summary
`DefaultResponseParser(SessionInputBuffer buffer, LineParser parser, HttpResponseFactory responseFactory, HttpParams params)` Deprecated.

Method Summary
`protected int` | `getMaxGarbageLines(HttpParams params)` Deprecated.
`protected HttpMessage` | `parseHead(SessionInputBuffer sessionBuffer)` Deprecated.

Methods inherited from class org.apache.http.impl.io.AbstractMessageParser
`parse, parseHeaders, parseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultResponseParser

    public DefaultResponseParser(SessionInputBuffer buffer,
                                 LineParser parser,
                                 HttpResponseFactory responseFactory,
                                 HttpParams params)

  Deprecated.

Method Detail

### getMaxGarbageLines

    protected int getMaxGarbageLines(HttpParams params)

  Deprecated.

### parseHead

    protected HttpMessage parseHead(SessionInputBuffer sessionBuffer)
                             throws IOException,
                                    HttpException

  Deprecated.
  Specified by:
    `parseHead` in class `AbstractMessageParser<HttpMessage>`
  Throws:
    `IOException`
    `HttpException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.